| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | List of all members
IG.Num.DistanceComparer< PointContainerType, PointType >.StoredDistanceComparerClass Class Reference

Compares two point containers according to their StoredDistance property. More...

Inheritance diagram for IG.Num.DistanceComparer< PointContainerType, PointType >.StoredDistanceComparerClass:
[legend]
Collaboration diagram for IG.Num.DistanceComparer< PointContainerType, PointType >.StoredDistanceComparerClass:
[legend]

## Public Member Functions
| StoredDistanceComparerClass ()
int | Compare (PointContainerType pt1, PointContainerType pt2)
| Compares two points according to the current comparer definition. More...
Public Member Functions inherited from IG.Num.DistanceComparer< PointContainerType, PointType >
| DistanceComparer (PointContainerType referencePoint, DistanceDelegate< PointType > distanceFunction)
| Constructs a new comparer according to input distance to a reference poiont (type IVector). More...
| DistanceComparer (PointContainerType referencePoint, DistanceDelegate< PointType > distanceFunction, IVector lengthScales)
| Constructs a new comparer according to input distance to a reference poiont (type IVector). More...
abstract void | GetPointCoordinates (PointType pt, ref IVector coord)
| Gets vector of coordinates of the specified point and stores it in the specified variable. More...
void | SetCoordinateScales (IVector min, IVector max, IVector lengthScales)
| Sets parameters that affect default calculation of distance and relative point coordinates. More...
void | GetRelativeCoordinates (IVector coord, ref IVector relativeCoortinates)
| Converts the specified coordinates to relative coordinates where compponents run from 0 to 1 if original coordinates run from minimal to maximal value. More...
void | SetOutputScales (IVector min, IVector max, IVector lengthScales)
| Sets parameters that affect default calculation of output distance and output relative coordinates. More...
void | GetOutputRelativeCoordinates (IVector coord, ref IVector relativeCoortinates)
| Converts the specified OUTPUT coordinates to relative coordinates where compponents run from 0 to 1 if original coordinates run from minimal to maximal value. More...
virtual double | OutputDistance (PointContainerType pt1, PointContainerType pt2)
| Returns output distance between two point containers. More...
virtual double | Distance (PointType pt1, PointType pt2)
| Returns distance between the specified two points. More...
double | Distance (PointContainerType boxedPt1, PointContainerType boxedPt2)
| Returns distance between the specified two points enclosed in PointContainer objects, as defined by the distance calculation delegate (property DistanceFunction) of the current object. More...
double | Distance (PointContainerType boxedPt1, PointType pt2)
| Returns distance between the specified point encolosed in an PointContainer object and a non-enclosed point, as defined by the distance calculation delegate (property DistanceFunction) of the current object. More...
double | Distance (PointType pt1, PointContainerType boxedPt2)
| Returns distance between the specified point and the second point encolosed in an PointContainer object, as defined by the distance calculation delegate (property DistanceFunction) of the current object. More...
double | Distance (PointType pt)
| Returns distance between the specified point and the reference point (property ReferencePoint) of the current object (enclosed in PointContainer<PointType> object), as defined by the distance calculation delegate of the current comparer object (property DistanceFunction). More...
double | Distance (PointContainerType boxedPt)
| Returns distance between the specified point (enclosed in PointContainer<PointType> pbject) and the reference point (property ReferencePoint) of the current object (property ReferencePoint), as defined by the distance calculation delegate of the current comparer object (property DistanceFunction). More...
void | Sort (List< PointContainerType > list)
| Sorts a list of point containers with the current comparer. More...
void | SortUsingStoredDistance (List< PointContainerType > list)
| Sorts a list of point containers with the current comparer. More...

## Additional Inherited Members
Protected Member Functions inherited from IG.Num.DistanceComparer< PointContainerType, PointType >
virtual double | OutputDistance (IVector outVec1, IVector outVec2)
| Returns output distance between two output vectors. More...
virtual double | DefaultDistanceFunction (PointType pt1, PointType pt2)
| Default distance funciton for the current class, used when distance calculation delegate is not specified. More...
Protected Attributes inherited from IG.Num.DistanceComparer< PointContainerType, PointType >
PointContainerType | _referencePoint
DistanceDelegate< PointType > | _distanceFunction
IVector | _lengthScales = null
IVector | _min = null
IVector | _max = null
IVector | _outputLengthScales = null
IVector | _outputMin = null
IVector | _outputMax = null
Properties inherited from IG.Num.DistanceComparer< PointContainerType, PointType >
object | Lock`[get]`
| This object's central lock object to be used by other object. Do not use this object for locking in class' methods, for this you should use InternalLock. More...
PointContainerType | ReferencePoint`[get, set]`
| Reference point. More...
DistanceDelegate< PointType > | DistanceFunction`[get, set]`
| Delegate that calculates distance between two vectors. More...
IVector | LengthScales`[protected get, set]`
| Sets the vector of length scales that are used for calculation of distances. More...
IVector | Min`[protected get, set]`
| Sets the vector of minimal values for point coordinates. Needed for calculation of relative coordinate vector. More...
IVector | Max`[protected get, set]`
| Sets the vector of maximal values point coordinates. Needed for calculation of relative coordinate vector. More...
IVector | OutputLengthScales`[protected get, set]`
| Sets the vector of OUTPUT vector's length scales that are used for calculation of distances and relative coordinates. More...
IVector | OutputMin`[protected get, set]`
| Sets the vector of minimal values for point OUTPUT values. Needed for calculation of relative coordinate vector. More...
IVector | OutputMax`[protected get, set]`
| Sets the vector of maximal values point OUTPUT values. Needed for calculation of relative coordinate vector. More...
IComparer< PointContainerType > | StoredDistanceComparer`[get]`
| Gets comparer that compares two point containers of type PointContainerType by the stored distance stored on those points. More...
Properties inherited from IG.Num.IDistanceComparer< PointContainerType, PointType >
PointContainerType | ReferencePoint`[get, set]`
| Reference point. More...
IVector | LengthScales`[set]`
| Sets the vector of length scales that are used for calculation of distances. More...
IVector | Min`[set]`
| Sets the vector of minimal values for point coordinates. Needed for calculation of relative coordinate vector. More...
IVector | Max`[set]`
| Sets the vector of maximal values point coordinates. Needed for calculation of relative coordinate vector. More...
IVector | OutputLengthScales`[set]`
| Sets the vector of OUTPUT vector's length scales that are used for calculation of distances and relative coordinates. More...
IVector | OutputMin`[set]`
| Sets the vector of minimal values for point OUTPUT values. Needed for calculation of relative coordinate vector. More...
IVector | OutputMax`[set]`
| Sets the vector of maximal values point OUTPUT values. Needed for calculation of relative coordinate vector. More...
IComparer< PointContainerType > | StoredDistanceComparer`[get]`
| Gets comparer that compares two point containers of type PointContainerType by the stored distance stored on those points. More...
Properties inherited from IG.Lib.ILockable
object | Lock`[get]`

## Detailed Description

Compares two point containers according to their StoredDistance property.

## Constructor & Destructor Documentation

IG.Num.DistanceComparer< PointContainerType, PointType >.StoredDistanceComparerClass.StoredDistanceComparerClass | ( |  | ) |
| inline

## Member Function Documentation

int IG.Num.DistanceComparer< PointContainerType, PointType >.StoredDistanceComparerClass.Compare | ( | PointContainerType | pt1,
|  | PointContainerType | pt2
| ) |  |
| inline virtual

Compares two points according to the current comparer definition.

Parameters

  pt1 | the first point to be compared.
  pt2 | The second point to be compared.

Returns
  A negative value if the first point is smaller, positive value if it is greater, and 0 if it is equal to the second point according to comparison criterion implemented by the current comparer object.

Reimplemented from IG.Num.DistanceComparer< PointContainerType, PointType >.

The documentation for this class was generated from the following file:

- igbase/numeric/geometry/pointclouds/DistanceComparer.cs